If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Firefox and Logitech SetPoint extension

RESOLVED INVALID

Status

()

Firefox
Untriaged
RESOLVED INVALID
5 months ago
5 months ago

People

(Reporter: nikpmr, Unassigned)

Tracking

53 Branch
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

5 months ago
User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:53.0) Gecko/20100101 Firefox/53.0
Build ID: 20170504105526

Steps to reproduce:

Download the newest version of Logitech SetPoint. The SetPoint extension will be installed to Firefox.
Open Firefox.


Actual results:

FIREFOX 53: The extension is disabled, as it is unsigned.
FIREFOX 53 64 BIT: The extension is disabled, as it only works with 32-bit applications.
FIREFOX 57+: The extension will be disabled, as it is a legacy extension.


Expected results:

In order for Logitech mice to behave correctly, this extension needs to work correctly with Firefox. It does not currently due to the reasons listed above. 

Logitech needs to be contacted in order to update the plugin (unfortunately there is no public way to contact the developers) or Firefox needs to be updated to work with SetPoint natively without an extension, the same way Microsoft Word, Microsoft Edge, and all Windows Store apps do. 

Can suggestions be given with the best way to resolve this issue? I am at a loss as to how to make this problem solvable.
Please contact the extension developer.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.